/***********************************************************************************************************************
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 **********************************************************************************************************************/
package it.tidalwave.semantic.io.impl;

import javax.annotation.Nonnull;
import org.openrdf.model.impl.URIImpl;
import it.tidalwave.util.As;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class UriImplWithAs extends URIImpl implements UriWithAs
  {
    @Nonnull
    private final As as;

    public UriImplWithAs (final @Nonnull String uriString, final @Nonnull As as)
      {
        super(uriString);
        this.as = as;
      }

    @Nonnull
    public As getAs()
      {
        return as;
      }

    @Override @Nonnull
    public String toString()
      {
        // FIXME: it seems that the N3Writer calls toString() instead of stringValue()
        // The point is that we must get rid of this class
//        return String.format("UriImplWithAs[%s]", stringValue());
        return stringValue();
      }
  }
